qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steve Huston" <shus...@riverace.com>
Subject RE: windows build
Date Tue, 03 Mar 2009 00:34:45 GMT
> I am trying to build qpid broker on XP from the 
> qpid-cpp-M4.tar.gz download.

Ok.

> I have been trying to follow the directions I found in the wiki here
> (https://issues.apache.org/jira/browse/QPID-1675)

Those instructions are wrong for the M4 released build. You can ignore
step 2.5.1. You only need to do that when checking sources out of svn.

> I am using Vis Studio
> 2008, I have installed Ruby and Python, but "nmake 
> protocol_gen.mak" fails
> with the following;
> 
> NMAKE : fatal error U1073: don't know how to make
> '..\..\specs\amqp.0-10-qpid-errata.xml'
> Stop.
> 
> There are no files in ..\..\specs - where should those files 
> come from?

The equivalent of the protocol_gen.mak step is done during the Qpid
release process, so the specs are not needed (and not part of the
released kit)

> Any help would be appreciated 

Ignoring the protocol_gen.mak step should get you going. Please let us
know how you make out after that.

Best regards,
-Steve


---------------------------------------------------------------------
Apache Qpid - AMQP Messaging Implementation
Project:      http://qpid.apache.org
Use/Interact: mailto:users-subscribe@qpid.apache.org


Mime
View raw message